Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# Socket_UDP_Incoming Class Reference

Base functionality for a UDP Reader. More...

Inheritance diagram for Socket_UDP_Incoming:

List of all members.

## Public Member Functions
bool | InitNoAddress ()
| Set this socket to work with out a bound external address.
bool | OpenForInput (Socket_Address const address)
| Starts a UDP socket listening on a port.
bool | OpenForInputMCast (Socket_Address const address)
| Starts a UDP socket listening on a port.
bool | SendTo (string data, int len, Socket_Address const address)
| Send data to specified address.
bool | SetToBroadCast ()
| Flips the OS bits that allow for brodcast packets to com in on this port.
| SocketUDPIncoming ()
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

Base functionality for a UDP Reader.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from Socket_IP.

Reimplemented in Socket_UDP.

bool InitNoAddress | ( |  | ) |

Set this socket to work with out a bound external address.

Return type : inline bool Argument : void

Reimplemented in Socket_UDP.

bool OpenForInput | ( | Socket_Address const | address | ) |

Starts a UDP socket listening on a port.

Return type : bool Argument : NetAddress & address

bool OpenForInputMCast | ( | Socket_Address const | address | ) |

Starts a UDP socket listening on a port.

Return type : bool Argument : NetAddress & address

bool SendTo | ( | string | data,
|  | int | len,
|  | Socket_Address const | address
| ) |  |

Send data to specified address.

Return type : inline bool Argument : char * data Argument : int len Argument : NetAddress & address

bool SetToBroadCast | ( |  | ) |

Flips the OS bits that allow for brodcast packets to com in on this port.

Return type : bool Argument : void

Reimplemented in Socket_UDP.

SocketUDPIncoming | ( |  | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties